PUT Update Smart Link​
PUT
/smart-links/{id}
Update an existing smart link's title, target URL, actions, and notes. Requires FluentCampaign Pro.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Path Parameters
id*
The ID of the smart link to update.
Type
Requiredinteger
Request Body​
application/json
JSON
{
"link": {
"title": "string",
"target_url": "string",
"actions": {
"tags": [
0
],
"lists": [
0
]
},
"detach_actions": {
"tags": [
0
],
"lists": [
0
]
},
"auto_login": "string",
"notes": "string"
}
}
Responses​
Smart link updated successfully.
application/json
JSON
{
"link": {
"id": 0,
"title": "string",
"short": "string",
"target_url": "string",
"actions": {
},
"notes": "string",
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"short_url": "string"
},
"message": "string"
}